ServerRegistryImpl (Apache CXF JavaDoc 4.1.6 API)
Description: declaration: package: org.apache.cxf.bus.managers, class: ServerRegistryImpl

Package org.apache.cxf.bus.managers

# Class ServerRegistryImpl

java.lang.Object
org.apache.cxf.bus.managers.ServerRegistryImpl

All Implemented Interfaces:
  `BusLifeCycleListener`, `ServerRegistry`

public class ServerRegistryImpl extends Object implements ServerRegistry, BusLifeCycleListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerRegistryImpl()`
  `ServerRegistryImpl(Bus b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Bus`
  `getBus()`
  `List<Server>`
  `getServers()`
  `void`
  `initComplete()`
  Invoked when the `Bus` has been initialized.
  `void`
  `postShutdown()`
  Invoked after the `Bus` is shutdown.
  `void`
  `preShutdown()`
  Invoked before the `Bus` is shutdown.
  `void`
  `register(Server server)`
  `final void`
  `setBus(Bus bus)`
  `void`
  `unregister(Server server)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServerRegistryImpl

    public ServerRegistryImpl()

  - ### ServerRegistryImpl

    public ServerRegistryImpl(Bus b)

- ## Method Details

  - ### getBus

    public Bus getBus()

  - ### setBus

    public final void setBus(Bus bus)

  - ### register

    public void register(Server server)
    Specified by:
      `register` in interface `ServerRegistry`

  - ### unregister

    public void unregister(Server server)
    Specified by:
      `unregister` in interface `ServerRegistry`

  - ### getServers

    public List<Server> getServers()
    Specified by:
      `getServers` in interface `ServerRegistry`

  - ### initComplete

    public void initComplete()
    Description copied from interface: `BusLifeCycleListener`
    Invoked when the `Bus` has been initialized.
    Specified by:
      `initComplete` in interface `BusLifeCycleListener`

  - ### preShutdown

    @PreDestroy public void preShutdown()
    Description copied from interface: `BusLifeCycleListener`
    Invoked before the `Bus` is shutdown.
    Specified by:
      `preShutdown` in interface `BusLifeCycleListener`

  - ### postShutdown

    public void postShutdown()
    Description copied from interface: `BusLifeCycleListener`
    Invoked after the `Bus` is shutdown.
    Specified by:
      `postShutdown` in interface `BusLifeCycleListener`